-------------------------------------------------------------------------------
-- SmartDebuffFu
-- Created by Aeldra (EU-Proudmoore)
--
-- FuBar support
-------------------------------------------------------------------------------

SMARTDEBUFF_FU_ICON_ON = "Interface\\AddOns\\SmartDebuff\\Icons\\IconEnabled";
SMARTDEBUFF_FU_ICON_OFF = "Interface\\AddOns\\SmartDebuff\\Icons\\IconDisabled";

SMARTDEBUFF_Fu = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0", "AceDB-2.0", "FuBarPlugin-2.0");
local Tablet = AceLibrary("Tablet-2.0");

SMARTDEBUFF_Fu.hasIcon = SMARTDEBUFF_FU_ICON_ON;
SMARTDEBUFF_Fu.defaultPosition  = "RIGHT";
SMARTDEBUFF_Fu.hasNoColor = true;
SMARTDEBUFF_Fu.hasNoText = true;
SMARTDEBUFF_Fu.cannotDetachTooltip = true;
SMARTDEBUFF_Fu.defaultMinimapPosition = 220;
SMARTDEBUFF_Fu.title = SMARTDEBUFF_TITLE;
SMARTDEBUFF_Fu.version = SMARTDEBUFF_VERSION;
SMARTDEBUFF_Fu.name = SMARTDEBUFF_TITLE;
SMARTDEBUFF_Fu.category = "Combat";
SMARTDEBUFF_Fu.description = SMARTDEBUFF_DESC;
SMARTDEBUFF_Fu.independentProfile = true;

function SMARTDEBUFF_Fu:OnInitialize()
  SMARTDEBUFF_Fu:RegisterDB("FuBar_SmartDebuffFuDB");
end

function SMARTDEBUFF_Fu:OnEnable()
	self:SetIcon(SMARTDEBUFF_FU_ICON_ON);
end

function SMARTDEBUFF_Fu:OnTooltipUpdate()
  if (Tablet) then
    Tablet:SetHint(SMARTDEBUFF_FUBAR_TT);
  end
end

function SMARTDEBUFF_Fu_UpdateIcon()
  if (SMARTDEBUFF_Options and SMARTDEBUFF_Options.ShowSF) then
    SMARTDEBUFF_Fu:SetIcon(SMARTDEBUFF_FU_ICON_ON);
  else
    SMARTDEBUFF_Fu:SetIcon(SMARTDEBUFF_FU_ICON_OFF);
  end
end

function SMARTDEBUFF_Fu:OnClick(button)
  if (button == "LeftButton" and IsShiftKeyDown()) then
    SMARTDEBUFF_ToggleSF();
  elseif (button == "LeftButton") then
    SMARTDEBUFF_ToggleOF();          
  end
end
